summaryrefslogtreecommitdiff
path: root/tests/touch/dir-1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/touch/dir-1.sh')
-rwxr-xr-xtests/touch/dir-1.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/touch/dir-1.sh b/tests/touch/dir-1.sh
new file mode 100755
index 0000000..cb0e172
--- /dev/null
+++ b/tests/touch/dir-1.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+# Make sure touch can operate on a directory.
+# This was broken in the 4.0[efg] test releases.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ touch
+
+touch . || fail=1
+Exit $fail